Index: /trunk/tests/phpunit/tests/query/dateQuery.php
===================================================================
--- /trunk/tests/phpunit/tests/query/dateQuery.php	(revision 29992)
+++ /trunk/tests/phpunit/tests/query/dateQuery.php	(revision 29993)
@@ -34,5 +34,8 @@
 
 	public function test_date_query_before_array() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2007-09-24 07:17:23',) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2008-03-29 07:17:23',) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2008-07-15 07:17:23',) );
+		$p4 = $this->factory->post->create( array( 'post_date' => '2009-06-11 07:17:23',) );
 
 		$posts = $this->_get_query_result( array(
@@ -47,19 +50,5 @@
 		) );
 
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'1984-07-28 19:28:56',
-			'2003-05-27 22:45:07',
-			'2004-01-03 08:54:10',
-			'2004-05-22 12:34:12',
-			'2005-02-17 00:00:15',
-			'2005-12-31 23:59:20',
-			'2007-01-22 03:49:21',
-			'2007-05-16 17:32:22',
-			'2007-09-24 07:17:23',
-			'2008-03-29 09:04:25',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEqualSets( array( $p1, $p2 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
@@ -69,5 +58,6 @@
 	 */
 	public function test_date_query_before_array_test_defaulting() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2007-09-24 07:17:23',) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2008-03-29 07:17:23',) );
 
 		$posts = $this->_get_query_result( array(
@@ -81,22 +71,12 @@
 		) );
 
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'1984-07-28 19:28:56',
-			'2003-05-27 22:45:07',
-			'2004-01-03 08:54:10',
-			'2004-05-22 12:34:12',
-			'2005-02-17 00:00:15',
-			'2005-12-31 23:59:20',
-			'2007-01-22 03:49:21',
-			'2007-05-16 17:32:22',
-			'2007-09-24 07:17:23',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEqualSets( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
 	public function test_date_query_before_string() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2007-09-24 07:17:23',) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2008-03-29 07:17:23',) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2008-07-15 07:17:23',) );
+		$p4 = $this->factory->post->create( array( 'post_date' => '2009-06-11 07:17:23',) );
 
 		$posts = $this->_get_query_result( array(
@@ -108,23 +88,11 @@
 		) );
 
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'1984-07-28 19:28:56',
-			'2003-05-27 22:45:07',
-			'2004-01-03 08:54:10',
-			'2004-05-22 12:34:12',
-			'2005-02-17 00:00:15',
-			'2005-12-31 23:59:20',
-			'2007-01-22 03:49:21',
-			'2007-05-16 17:32:22',
-			'2007-09-24 07:17:23',
-			'2008-03-29 09:04:25',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p1, $p2 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
 	public function test_date_query_after_array() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2009-10-18 10:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2009-12-18 10:42:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2010-06-11 07:17:23', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -140,16 +108,5 @@
 		) );
 
-		$expected_dates = array(
-			'2010-06-17 17:09:30',
-			'2011-02-23 12:12:31',
-			'2011-07-04 01:56:32',
-			'2011-12-12 16:39:33',
-			'2012-06-13 14:03:34',
-			'2025-04-20 10:13:00',
-			'2025-04-20 10:13:01',
-			'2025-05-20 10:13:01',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEqualSets( array( $p3 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
@@ -159,5 +116,6 @@
 	 */
 	public function test_date_query_after_array_test_defaulting() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2008-12-18 10:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2009-01-18 10:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -171,22 +129,11 @@
 		) );
 
-		$expected_dates = array(
-			'2009-06-11 21:30:28',
-			'2009-12-18 10:42:29',
-			'2010-06-17 17:09:30',
-			'2011-02-23 12:12:31',
-			'2011-07-04 01:56:32',
-			'2011-12-12 16:39:33',
-			'2012-06-13 14:03:34',
-			'2025-04-20 10:13:00',
-			'2025-04-20 10:13:01',
-			'2025-05-20 10:13:01',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p2 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
 	public function test_date_query_after_string() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2009-12-18 09:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2009-12-18 10:42:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2009-12-19 10:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -198,20 +145,11 @@
 		) );
 
-		$expected_dates = array(
-			'2010-06-17 17:09:30',
-			'2011-02-23 12:12:31',
-			'2011-07-04 01:56:32',
-			'2011-12-12 16:39:33',
-			'2012-06-13 14:03:34',
-			'2025-04-20 10:13:00',
-			'2025-04-20 10:13:01',
-			'2025-05-20 10:13:01',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p3 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
 	public function test_date_query_after_string_inclusive() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2009-12-18 09:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2009-12-18 10:42:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2009-12-19 10:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -224,17 +162,5 @@
 		) );
 
-		$expected_dates = array(
-			'2009-12-18 10:42:29',
-			'2010-06-17 17:09:30',
-			'2011-02-23 12:12:31',
-			'2011-07-04 01:56:32',
-			'2011-12-12 16:39:33',
-			'2012-06-13 14:03:34',
-			'2025-04-20 10:13:00',
-			'2025-04-20 10:13:01',
-			'2025-05-20 10:13:01',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p2, $p3 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
@@ -243,5 +169,9 @@
 	 */
 	public function test_date_query_inclusive_between_dates() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2006-12-18 09:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2007-01-18 10:42:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2007-12-19 10:42:29', ) );
+		$p4 = $this->factory->post->create( array( 'post_date' => '2008-12-19 10:42:29', ) );
+		$p5 = $this->factory->post->create( array( 'post_date' => '2009-12-19 10:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -259,15 +189,5 @@
 		) );
 
-
-		$expected_dates = array(
-			'2007-01-22 03:49:21',
-			'2007-05-16 17:32:22',
-			'2007-09-24 07:17:23',
-			'2008-03-29 09:04:25',
-			'2008-07-15 11:32:26',
-			'2008-12-10 13:06:27',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p2, $p3, $p4 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
@@ -644,7 +564,7 @@
 	}
 
-	public function test_date_query_year_expecting_results() {
-		$this->create_posts();
-
+	public function test_date_query_year() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2009-12-19 10:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2010-12-19 10:42:29', ) );
 		$posts = $this->_get_query_result( array(
 			'date_query' => array(
@@ -655,29 +575,10 @@
 		) );
 
-		$expected_dates = array(
-			'2009-06-11 21:30:28',
-			'2009-12-18 10:42:29',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_year_expecting_noresults() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'year' => 2001,
-				),
-			),
-		) );
-
-		$this->assertCount( 0, $posts );
-	}
-
-	public function test_date_query_month_expecting_results() {
-		$this->create_posts();
-
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
+	}
+
+	public function test_date_query_month() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2009-12-19 10:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2010-11-19 10:42:29', ) );
 		$posts = $this->_get_query_result( array(
 			'date_query' => array(
@@ -688,31 +589,10 @@
 		) );
 
-		$expected_dates = array(
-			'2005-12-31 23:59:20',
-			'2008-12-10 13:06:27',
-			'2009-12-18 10:42:29',
-			'2011-12-12 16:39:33',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_month_expecting_noresults() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'month' => 8,
-				),
-			),
-		) );
-
-		$this->assertCount( 0, $posts );
-	}
-
-	public function test_date_query_week_expecting_results() {
-		$this->create_posts();
-
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
+	}
+
+	public function test_date_query_week() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2009-01-02 10:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2010-03-19 10:42:29', ) );
 		$posts = $this->_get_query_result( array(
 			'date_query' => array(
@@ -723,27 +603,10 @@
 		) );
 
-		$expected_dates = array(
-			'2004-01-03 08:54:10',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_week_expecting_noresults() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'week' => 10,
-				),
-			),
-		) );
-
-		$this->assertCount( 0, $posts );
-	}
-
-	public function test_date_query_day_expecting_results() {
-		$this->create_posts();
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
+	}
+
+	public function test_date_query_day() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2009-01-17 10:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2009-01-18 10:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -755,50 +618,25 @@
 		) );
 
-		$expected_dates = array(
-			'2005-02-17 00:00:15',
-			'2010-06-17 17:09:30',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_day_expecting_noresults() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'day' => 19,
-				),
-			),
-		) );
-
-		$this->assertCount( 0, $posts );
-	}
-
-	public function test_date_query_dayofweek_expecting_results() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'dayofweek' => 7,
-				),
-			),
-		) );
-
-		$expected_dates = array(
-			'1984-07-28 19:28:56',
-			'2004-01-03 08:54:10',
-			'2004-05-22 12:34:12',
-			'2005-12-31 23:59:20',
-			'2008-03-29 09:04:25',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_hour_expecting_results() {
-		$this->create_posts();
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
+	}
+
+	public function test_date_query_dayofweek() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2014-10-21 10:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2014-10-20 10:42:29', ) );
+
+		$posts = $this->_get_query_result( array(
+			'date_query' => array(
+				array(
+					'dayofweek' => 3,
+				),
+			),
+		) );
+
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
+	}
+
+	public function test_date_query_hour() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2014-10-21 13:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2014-10-21 12:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -810,27 +648,10 @@
 		) );
 
-		$expected_dates = array(
-			'2008-12-10 13:06:27',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_hour_expecting_noresults() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'hour' => 2,
-				),
-			),
-		) );
-
-		$this->assertCount( 0, $posts );
-	}
-
-	public function test_date_query_minute_expecting_results() {
-		$this->create_posts();
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
+	}
+
+	public function test_date_query_minute() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2014-10-21 10:56:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2014-10-21 10:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -842,27 +663,10 @@
 		) );
 
-		$expected_dates = array(
-			'2011-07-04 01:56:32',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_minute_expecting_noresults() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'minute' => 2,
-				),
-			),
-		) );
-
-		$this->assertCount( 0, $posts );
-	}
-
-	public function test_date_query_second_expecting_results() {
-		$this->create_posts();
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
+	}
+
+	public function test_date_query_second() {
+		$p1 = $this->factory->post->create( array( 'post_date' => '2014-10-21 10:42:21', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2014-10-21 10:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -874,27 +678,13 @@
 		) );
 
-		$expected_dates = array(
-			'2007-01-22 03:49:21',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-	}
-
-	public function test_date_query_second_expecting_noresults() {
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				array(
-					'second' => 2,
-				),
-			),
-		) );
-
-		$this->assertCount( 0, $posts );
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
 	public function test_date_query_between_two_times() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2005-12-18 08:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2006-12-18 09:00:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2007-12-18 10:42:29', ) );
+		$p4 = $this->factory->post->create( array( 'post_date' => '2008-12-18 17:00:29', ) );
+		$p5 = $this->factory->post->create( array( 'post_date' => '2009-12-18 18:42:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -913,24 +703,11 @@
 		) );
 
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'2004-05-22 12:34:12',
-			'2008-03-29 09:04:25',
-			'2008-07-15 11:32:26',
-			'2008-12-10 13:06:27',
-			'2009-12-18 10:42:29',
-			'2011-02-23 12:12:31',
-			'2011-12-12 16:39:33',
-			'2012-06-13 14:03:34',
-			'2025-04-20 10:13:00',
-			'2025-04-20 10:13:01',
-			'2025-05-20 10:13:01',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEqualSets( array( $p2, $p3, $p4 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
 	public function test_date_query_relation_or() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2006-12-18 14:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2007-01-18 10:42:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2007-12-19 10:34:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -946,15 +723,12 @@
 		) );
 
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'2004-05-22 12:34:12',
-			'2012-06-13 14:03:34',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p1, $p3 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
 	public function test_date_query_compare_greater_than_or_equal_to() {
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2006-12-18 13:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2007-01-18 14:34:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2007-12-19 14:37:29', ) );
+		$p4 = $this->factory->post->create( array( 'post_date' => '2007-12-19 15:34:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -968,16 +742,5 @@
 		) );
 
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'1984-07-28 19:28:56',
-			'2003-05-27 22:45:07',
-			'2005-12-31 23:59:20',
-			'2007-05-16 17:32:22',
-			'2009-06-11 21:30:28',
-			'2010-06-17 17:09:30',
-			'2011-12-12 16:39:33',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p2, $p3, $p4 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
@@ -985,5 +748,7 @@
 		global $wpdb;
 
-		$this->create_posts();
+		$p1 = $this->factory->post->create( array( 'post_date' => '2006-05-18 13:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2007-09-18 14:34:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2007-01-18 14:34:29', ) );
 
 		$posts = $this->_get_query_result( array(
@@ -994,13 +759,5 @@
 		) );
 
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'2003-05-27 22:45:07',
-			'2004-05-22 12:34:12',
-			'2007-05-16 17:32:22',
-			'2025-05-20 10:13:01',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p1 ), wp_list_pluck( $posts, 'ID' ) );
 
 		$this->assertContains( "MONTH( $wpdb->posts.post_date ) = 5", $this->q->request );
@@ -1011,24 +768,19 @@
 		global $wpdb;
 
-		$this->create_posts();
-
-		$posts = $this->_get_query_result( array(
-			'date_query' => array(
-				'week' => 21,
-				'w' => 22
-			),
-		) );
-
-		$expected_dates = array(
-			'1972-05-24 14:53:45',
-			'2004-05-22 12:34:12',
-			'2025-05-20 10:13:01',
-		);
-
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
-
-		$this->assertContains( "WEEK( $wpdb->posts.post_date, 1 ) = 21", $this->q->request );
-		$this->assertNotContains( "WEEK( $wpdb->posts.post_date, 1 ) = 22", $this->q->request );
+		$p1 = $this->factory->post->create( array( 'post_date' => '2014-10-01 13:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2014-10-22 14:34:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '2014-10-15 14:34:29', ) );
+
+		$posts = $this->_get_query_result( array(
+			'date_query' => array(
+				'week' => 43,
+				'w' => 42,
+			),
+		) );
+
+		$this->assertEquals( array( $p2 ), wp_list_pluck( $posts, 'ID' ) );
+
+		$this->assertContains( "WEEK( $wpdb->posts.post_date, 1 ) = 43", $this->q->request );
+		$this->assertNotContains( "WEEK( $wpdb->posts.post_date, 1 ) = 42", $this->q->request );
 	}
 
@@ -1069,6 +821,8 @@
 	 */
 	public function test_date_query_one_nested_query() {
-		$this->create_posts();
-
+		$p1 = $this->factory->post->create( array( 'post_date' => '2004-10-01 13:42:29', ) );
+		$p2 = $this->factory->post->create( array( 'post_date' => '2004-01-22 14:34:29', ) );
+		$p3 = $this->factory->post->create( array( 'post_date' => '1984-10-15 14:34:29', ) );
+		$p4 = $this->factory->post->create( array( 'post_date' => '1985-10-15 14:34:29', ) );
 		$posts = $this->_get_query_result( array(
 			'date_query' => array(
@@ -1089,10 +843,5 @@
 		) );
 
-		$expected_dates = array(
-			'1984-07-28 19:28:56',
-			'2004-01-03 08:54:10',
-		);
-
-		$this->assertEquals( $expected_dates, wp_list_pluck( $posts, 'post_date' ) );
+		$this->assertEquals( array( $p2, $p3 ), wp_list_pluck( $posts, 'ID' ) );
 	}
 
@@ -1217,37 +966,4 @@
 	/** Helpers **********************************************************/
 
-	protected function create_posts() {
-		// Be careful modifying this. Tests are coded to expect this exact sample data.
-		$post_dates = array(
-			'1972-05-24 14:53:45',
-			'1984-07-28 19:28:56',
-			'2003-05-27 22:45:07',
-			'2004-01-03 08:54:10',
-			'2004-05-22 12:34:12',
-			'2005-02-17 00:00:15',
-			'2005-12-31 23:59:20',
-			'2007-01-22 03:49:21',
-			'2007-05-16 17:32:22',
-			'2007-09-24 07:17:23',
-			'2008-03-29 09:04:25',
-			'2008-07-15 11:32:26',
-			'2008-12-10 13:06:27',
-			'2009-06-11 21:30:28',
-			'2009-12-18 10:42:29',
-			'2010-06-17 17:09:30',
-			'2011-02-23 12:12:31',
-			'2011-07-04 01:56:32',
-			'2011-12-12 16:39:33',
-			'2012-06-13 14:03:34',
-			'2025-04-20 10:13:00',
-			'2025-04-20 10:13:01',
-			'2025-05-20 10:13:01',
-		);
-
-		foreach ( $post_dates as $post_date ) {
-			$this->factory->post->create( array( 'post_date' => $post_date ) );
-		}
-	}
-
 	/**
 	 * There's no way to change post_modified through the API.