Index: /trunk/src/wp-admin/includes/deprecated.php
===================================================================
--- /trunk/src/wp-admin/includes/deprecated.php	(revision 30201)
+++ /trunk/src/wp-admin/includes/deprecated.php	(revision 30202)
@@ -275,5 +275,5 @@
  * @param int $user_id User ID.
  * @param bool $exclude_zeros Optional, default is true. Whether to exclude zeros.
- * @return unknown
+ * @return mixed
  */
 function get_editable_user_ids( $user_id, $exclude_zeros = true, $post_type = 'post' ) {
@@ -608,5 +608,5 @@
 	 * @access public
 	 *
-	 * @return unknown
+	 * @return array
 	 */
 	function get_results() {
@@ -941,5 +941,5 @@
  * @deprecated 3.4.0
  *
- * @return unknown
+ * @return array
  */
 function get_broken_themes() {
@@ -965,5 +965,5 @@
  * @deprecated 3.4.0
  *
- * @return unknown
+ * @return WP_Theme
  */
 function current_theme_info() {
Index: /trunk/src/wp-admin/includes/media.php
===================================================================
--- /trunk/src/wp-admin/includes/media.php	(revision 30201)
+++ /trunk/src/wp-admin/includes/media.php	(revision 30202)
@@ -865,5 +865,5 @@
  * @since 2.5.0
  *
- * @return unknown
+ * @return string|null
  */
 function media_upload_gallery() {
@@ -888,5 +888,5 @@
  * @since 2.5.0
  *
- * @return unknown
+ * @return string|null
  */
 function media_upload_library() {
Index: /trunk/src/wp-admin/includes/post.php
===================================================================
--- /trunk/src/wp-admin/includes/post.php	(revision 30201)
+++ /trunk/src/wp-admin/includes/post.php	(revision 30202)
@@ -637,5 +637,5 @@
  * @since 2.1.0
  *
- * @return unknown
+ * @return int|WP_Error
  */
 function wp_write_post() {
@@ -706,5 +706,5 @@
  * @since 2.0.0
  *
- * @return unknown
+ * @return int|null
  */
 function write_post() {
@@ -776,5 +776,5 @@
  * @since 1.2.0
  *
- * @return unknown
+ * @return mixed
  */
 function get_meta_keys() {
@@ -1074,5 +1074,5 @@
  * @param string $id
  * @param string $page
- * @return unknown
+ * @return string
  */
 function postbox_classes( $id, $page ) {
Index: /trunk/src/wp-admin/includes/upgrade.php
===================================================================
--- /trunk/src/wp-admin/includes/upgrade.php	(revision 30201)
+++ /trunk/src/wp-admin/includes/upgrade.php	(revision 30202)
@@ -2040,5 +2040,5 @@
  * @since 1.5.0
  *
- * @return unknown
+ * @return string|bool
  */
 function make_site_theme() {
Index: /trunk/src/wp-admin/includes/user.php
===================================================================
--- /trunk/src/wp-admin/includes/user.php	(revision 30201)
+++ /trunk/src/wp-admin/includes/user.php	(revision 30202)
@@ -196,5 +196,5 @@
  * @since 2.8.0
  *
- * @return unknown
+ * @return array
  */
 function get_editable_roles() {
Index: /trunk/src/wp-includes/comment.php
===================================================================
--- /trunk/src/wp-includes/comment.php	(revision 30201)
+++ /trunk/src/wp-includes/comment.php	(revision 30202)
@@ -2205,5 +2205,5 @@
  *
  * @param bool $defer
- * @return unknown
+ * @return bool
  */
 function wp_defer_comment_counting($defer=null) {
Index: /trunk/src/wp-includes/deprecated.php
===================================================================
--- /trunk/src/wp-includes/deprecated.php	(revision 30201)
+++ /trunk/src/wp-includes/deprecated.php	(revision 30202)
@@ -469,5 +469,5 @@
  *		specify 'rand' as the order which will return links in a random order.
  * @param int $limit Limit to X entries. If not specified, all entries are shown.
- * @return unknown
+ * @return array
  */
 function get_linkobjectsbyname($cat_name = "noname" , $orderby = 'name', $limit = -1) {
@@ -523,5 +523,5 @@
  *		order which will return links in a random order.
  * @param int $limit Limit to X entries. If not specified, all entries are shown.
- * @return unknown
+ * @return array
  */
 function get_linkobjects($category = 0, $orderby = 'name', $limit = 0) {
@@ -632,5 +632,5 @@
  * @param string $exclude
  * @param bool $hierarchical
- * @return unknown
+ * @return string
  */
 function list_cats($optionall = 1, $all = 'All', $sort_column = 'ID', $sort_order = 'asc', $file = '', $list = true, $optiondates = 0,
@@ -651,5 +651,5 @@
  *
  * @param string|array $args
- * @return unknown
+ * @return string
  */
 function wp_list_cats($args = '') {
@@ -692,5 +692,5 @@
  * @param int $selected
  * @param int $exclude
- * @return unknown
+ * @return string
  */
 function dropdown_cats($optionall = 1, $all = 'All', $orderby = 'ID', $order = 'asc',
@@ -727,5 +727,5 @@
  * @param string $feed
  * @param string $feed_image
- * @return unknown
+ * @return null|string
  */
 function list_authors($optioncount = false, $exclude_admin = true, $show_fullname = false, $hide_empty = true, $feed = '', $feed_image = '') {
@@ -744,5 +744,5 @@
  * @param int $blogid Not Used
  * @param int $post_ID
- * @return unknown
+ * @return array
  */
 function wp_get_post_cats($blogid = '1', $post_ID = 0) {
@@ -762,5 +762,5 @@
  * @param int $post_ID
  * @param array $post_categories
- * @return unknown
+ * @return bool|mixed
  */
 function wp_set_post_cats($blogid = '1', $post_ID = 0, $post_categories = array()) {
@@ -781,5 +781,5 @@
  * @param string $after
  * @param bool $show_post_count
- * @return unknown
+ * @return string|null
  */
 function get_archives($type='', $limit='', $format='html', $before = '', $after = '', $show_post_count = false) {
@@ -1099,5 +1099,5 @@
  *
  * @param object $link
- * @return unknown
+ * @return mixed
  */
 function get_linkrating($link) {