Index: trunk/src/wp-admin/about.php
===================================================================
--- trunk/src/wp-admin/about.php	(revision 30820)
+++ trunk/src/wp-admin/about.php	(revision 30821)
@@ -28,5 +28,5 @@
 <h1><?php printf( __( 'Welcome to WordPress&nbsp;%s' ), $display_version ); ?></h1>
 
-<div class="about-text"><?php printf( __( 'Thank you for updating! WordPress %s brings you a smoother writing and management experience.' ), $display_version ); ?></div>
+<div class="about-text"><?php printf( __( 'Thank you for updating! WordPress %s helps you focus on your writing, and the new default theme lets you show it off in style.' ), $display_version ); ?></div>
 
 <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
@@ -43,83 +43,51 @@
 
 <div class="changelog">
+	<h2 class="about-headline-callout"><?php echo ( 'Introducing Twenty Fifteen' ); ?></h2>
 	<div class="about-overview">
-		<?php if ( ( $locale = get_locale() ) && 'en_' === substr( $locale, 0, 3 ) ) : ?>
-			<embed src="//v.wordpress.com/bUdzKMro" type="application/x-shockwave-flash" width="640" height="360" allowscriptaccess="always" allowfullscreen="true" wmode="transparent"></embed>
-		<?php else : ?>
-			<img class="about-overview-img" src="//s.w.org/images/core/4.0/wp40.png" width="640" height="360" />
-		<?php endif; ?>
+		<img class="about-overview-img" src="//s.w.org/images/core/3.8/twentyfourteen.jpg?1" />
 	</div>
 
-	<hr />
-
-	<div class="feature-section col two-col">
+	<div class="feature-section col three-col">
 		<div class="col-1">
-			<h3><?php _e( 'Manage your media with style' ); ?></h3>
-			<p><?php _e( 'Explore your uploads in a beautiful, endless grid. A new details preview makes viewing and editing any amount of media in sequence a snap.' ); ?></p>
+			<p><?php echo ( 'Our 2015 default theme is blog-focused and designed for clarity. Twenty Fifteen&#8127;s straightforward typography is readable on any screen size.' ); ?></p>
 		</div>
-		<div class="col-2 last-feature">
-			<img src="//s.w.org/images/core/4.0/media.jpg" />
+		<div class="col-2">
+			<p><?php echo ( 'Your content always takes center stage, whether viewed on a phone, tablet, laptop, or desktop computer.' ); ?></p>
+		</div>
+		<div class="col-3 last-feature">
+			<p><?php printf( ( 'Twenty Fifteen has great language support, with help from <a href="%s">Google&#8217;s Noto font family</a>.' ), 'https://www.google.com/get/noto/' ); ?></p>
 		</div>
 	</div>
 
-	<hr />
+</div>
+
+<hr />
+
+<div class="changelog">
+	<h2 class="about-headline-callout"><?php echo ( 'Distraction-free writing' ); ?></h2>
+	<div class="feature-section">
+		<p><?php echo ( '<em>Just write.</em> Sometimes, you just need to concentrate on putting your thoughts into words. Try turning on <strong>writing mode</strong>. When you start typing, all the distractions will fade away, letting you focus solely on your writing. All your editing tools instantly return when you need them.' ); ?></p>
+	</div>
+</div>
+
+<hr />
+
+<div class="changelog under-the-hood">
+	<h3><?php echo ( 'The Finer Points' ); ?></h3>
 
 	<div class="feature-section col two-col">
-		<div class="col-1">
-			<div class="about-video about-video-embed">
-				<?php
-					echo wp_video_shortcode( array(
-						'mp4'      => '//s.w.org/images/core/4.0/embed.mp4',
-						'ogv'      => '//s.w.org/images/core/4.0/embed.ogv',
-						'webm'      => '//s.w.org/images/core/4.0/embed.webm',
-						'loop'     => true,
-						'autoplay' => true,
-						'width'    => 500,
-						'height'   => 352
-					) );
-				?>
-			</div>
+		<div>
+			<h4><?php echo ( 'Choose a language' ); ?></h4>
+			<p><?php printf( ( 'Right now, WordPress %1$s is already translated into %2$d languages, with more always in progress. You can switch to any translation on the <a href="%3$s">General Settings</a> screen.' ), $display_version, 40, admin_url( 'options-general.php' ) ); ?></p>
+
+			<h4><?php echo ( 'Log out everywhere' ); ?></h4>
+			<p><?php printf( ( 'There&#8217;s a new tool on <a href="%s">your profile</a> that logs you out everywhere, for those times you forget to log off a shared computer.' ), get_edit_profile_url() ); ?></p>
 		</div>
-		<div class="col-2 last-feature">
-			<h3><?php _e( 'Working with embeds has never been easier' ); ?></h3>
-			<p><?php _e( 'Paste in a YouTube URL on a new line, and watch it magically become an embedded video. Now try it with a tweet. Oh yeah &#8212; embedding has become a visual experience. The editor shows a true preview of your embedded content, saving you time and giving you confidence.' ); ?></p>
-			<p><?php _e( 'We&#8217;ve expanded the services supported by default, too &#8212; you can embed videos from CollegeHumor, playlists from YouTube, and talks from TED. <a href="http://codex.wordpress.org/Embeds">Check out all of the embeds</a> that WordPress supports.' ); ?></p>
-		</div>
-	</div>
+		<div class="last-feature">
+			<h4><?php echo ( 'Vine embeds' ); ?></h4>
+			<p><?php printf( ( 'Embedding videos from Vine is as simple as pasting a URL onto its own line in a post. For more, see the Codex article on <a href="%s">Embeds</a>.' ), 'http://codex.wordpress.org/Embeds' ); ?></p>
 
-	<hr />
-
-	<div class="feature-section col two-col">
-		<div class="col-1">
-			<h3><?php _e( 'Focus on your content' ); ?></h3>
-			<p><?php _e( 'Writing and editing is smoother and more immersive with an editor that expands to fit your content as you write, and keeps the formatting tools available at all times.' ); ?></p>
-		</div>
-		<div class="col-2 last-feature">
-			<div class="about-video about-video-focus">
-				<?php
-					echo wp_video_shortcode( array(
-						'mp4'      => '//s.w.org/images/core/4.0/focus.mp4',
-						'ogv'      => '//s.w.org/images/core/4.0/focus.ogv',
-						'webm'      => '//s.w.org/images/core/4.0/focus.webm',
-						'loop'     => true,
-						'autoplay' => true,
-						'width'    => 500,
-						'height'   => 281
-					) );
-				?>
-			</div>
-		</div>
-	</div>
-
-	<hr />
-
-	<div class="feature-section col two-col">
-		<div class="col-1">
-			<img src="//s.w.org/images/core/4.0/plugins.png" />
-		</div>
-		<div class="col-2 last-feature">
-			<h3 class="higher"><?php _e( 'Finding the right plugin' ); ?></h3>
-			<p><?php _e( 'There are more than 30,000 free and open source plugins in the WordPress plugin directory. WordPress 4.0 makes it easier to find the right one for your needs, with new metrics, improved search, and a more visual browsing experience.' ); ?></p>
-			<a href="<?php echo admin_url( 'plugin-install.php' ); ?>" class="button button-large button-primary"><?php _e( 'Browse plugins' ); ?></a>
+			<h4><?php echo ( 'Plugin recommendations' ); ?></h4>
+			<p><?php printf( ( 'The <a href="%s">plugin installer</a> now offers a list of plugins you may want to try, based on others who have similar plugins installed as you.' ), network_admin_url( 'plugin-install.php?tab=recommended' ) ); ?></p>
 		</div>
 	</div>
@@ -131,19 +99,20 @@
 	<h3><?php _e( 'Under the Hood' ); ?></h3>
 
-	<div class="feature-section col three-col">
+	<div class="feature-section col two-col">
 		<div>
-		<h4><?php _e( 'Customizer API' ); ?></h4>
-			<p><?php _e( 'Contexts, panels, and a wider array of controls are now supported in the customizer.' ); ?></p>
-		</div>
-		<div>
-			<h4><?php _e( 'Query Ordering' ); ?></h4>
-			<p><?php
-				/* translators: 1: "ORDER BY" (SQL), 2: "WP_Query" */
-				printf( __( 'Developers have more flexibility creating %1$s clauses through %2$s.' ), '<code>ORDER&nbsp;BY</code>', '<code>WP_Query</code>' );
-			?></p>
+			<h4><?php echo ( 'Complex Queries' ); ?></h4>
+			<p><?php printf( ( 'Metadata, date, and term queries now support advanced conditional logic, like nested clauses and multiple operators &mdash; <code>%s</code>.' ), 'A&nbsp;AND&nbsp;(&nbsp;B&nbsp;OR&nbsp;C&nbsp;)' ); ?></p>
+
+			<h4><?php echo ( 'Customizer API' ); ?></h4>
+			<p><?php echo ( 'The customizer now supports conditionally showing panels and sections based on the page being previewed.' ); ?></p>
 		</div>
 		<div class="last-feature">
-			<h4><?php _e( 'External Libraries' ); ?></h4>
-			<p><?php _e( 'Updated libraries: TinyMCE&nbsp;4.1.3, jQuery&nbsp;1.11.1, MediaElement&nbsp;2.15.' ); ?></p>
+			<h4><?php printf( ( '%s tags in themes' ), '<code>&lt;title&gt;</code>' ); ?></h4>
+			<p><?php
+				printf( ( '%s tells WordPress to handle the complexities of document titles.' ), "<code>add_theme_support( 'title-tag' )</code>" );
+			?></p>
+
+			<h4><?php echo ( 'Developer Reference' ); ?></h4>
+			<p><?php printf( ( 'Continued improvements to inline code documentation have made the <a href="%s">developer reference</a> more complete than ever.' ), 'https://developer.wordpress.org/reference/' ); ?></p>
 		</div>
 	</div>
Index: trunk/src/wp-admin/credits.php
===================================================================
--- trunk/src/wp-admin/credits.php	(revision 30820)
+++ trunk/src/wp-admin/credits.php	(revision 30821)
@@ -83,5 +83,5 @@
 <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
 
-<div class="about-text"><?php printf( __( 'Thank you for updating! WordPress %s brings you a smoother writing and management experience.' ), $display_version ); ?></div>
+<div class="about-text"><?php printf( __( 'Thank you for updating! WordPress %s helps you focus on your writing, and the new default theme lets you show it off in style.' ), $display_version ); ?></div>
 
 <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
Index: trunk/src/wp-admin/freedoms.php
===================================================================
--- trunk/src/wp-admin/freedoms.php	(revision 30820)
+++ trunk/src/wp-admin/freedoms.php	(revision 30821)
@@ -20,5 +20,5 @@
 <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
 
-<div class="about-text"><?php printf( __( 'Thank you for updating! WordPress %s brings you a smoother writing and management experience.' ), $display_version ); ?></div>
+<div class="about-text"><?php printf( __( 'Thank you for updating! WordPress %s helps you focus on your writing, and the new default theme lets you show it off in style.' ), $display_version ); ?></div>
 
 <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>