Index: /trunk/src/wp-admin/custom-header.php
===================================================================
--- /trunk/src/wp-admin/custom-header.php	(revision 31033)
+++ /trunk/src/wp-admin/custom-header.php	(revision 31034)
@@ -391,5 +391,4 @@
 
 <script type="text/javascript">
-/* <![CDATA[ */
 (function($){
 	var default_color = '<?php echo $default_color; ?>',
@@ -434,5 +433,4 @@
 	});
 })(jQuery);
-/* ]]> */
 </script>
 <?php
@@ -446,5 +444,4 @@
 	public function js_2() { ?>
 <script type="text/javascript">
-/* <![CDATA[ */
 	function onEndCrop( coords ) {
 		jQuery( '#x1' ).val(coords.x);
@@ -508,5 +505,4 @@
 		});
 	});
-/* ]]> */
 </script>
 <?php
Index: /trunk/src/wp-admin/export.php
===================================================================
--- /trunk/src/wp-admin/export.php	(revision 31033)
+++ /trunk/src/wp-admin/export.php	(revision 31034)
@@ -25,5 +25,4 @@
 ?>
 <script type="text/javascript">
-//<![CDATA[
 	jQuery(document).ready(function($){
  		var form = $('#export-filters'),
@@ -38,5 +37,4 @@
  		});
 	});
-//]]>
 </script>
 <?php
Index: /trunk/src/wp-admin/includes/media.php
===================================================================
--- /trunk/src/wp-admin/includes/media.php	(revision 31033)
+++ /trunk/src/wp-admin/includes/media.php	(revision 31034)
@@ -240,8 +240,6 @@
 ?>
 <script type="text/javascript">
-/* <![CDATA[ */
 var win = window.dialogArguments || opener || parent || top;
 win.send_to_editor('<?php echo addslashes($html); ?>');
-/* ]]> */
 </script>
 <?php
@@ -449,9 +447,7 @@
 ?>
 <script type="text/javascript">
-//<![CDATA[
 addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
 var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>', pagenow = 'media-upload-popup', adminpage = 'media-upload-popup',
 isRtl = <?php echo (int) is_rtl(); ?>;
-//]]>
 </script>
 <?php
@@ -683,8 +679,6 @@
 	if ( isset($_POST['insert-gallery']) || isset($_POST['update-gallery']) ) { ?>
 		<script type="text/javascript">
-		/* <![CDATA[ */
 		var win = window.dialogArguments || opener || parent || top;
 		win.tb_remove();
-		/* ]]> */
 		</script>
 		<?php
@@ -1947,5 +1941,4 @@
 
 <script type="text/javascript">
-//<![CDATA[
 jQuery(function($){
 	var preloaded = $(".media-item.preloaded");
@@ -1955,5 +1948,4 @@
 	updateMediaForm();
 });
-//]]>
 </script>
 <div id="media-items"><?php
@@ -2010,5 +2002,4 @@
 
 <script type="text/javascript">
-//<![CDATA[
 var addExtImage = {
 
@@ -2100,6 +2091,4 @@
 	});
 });
-
-//]]>
 </script>
 
Index: /trunk/src/wp-admin/includes/ms.php
===================================================================
--- /trunk/src/wp-admin/includes/ms.php	(revision 31033)
+++ /trunk/src/wp-admin/includes/ms.php	(revision 31034)
@@ -956,7 +956,5 @@
 ?>
 <script type="text/javascript">
-//<![CDATA[
 var tb_pathToImage = "<?php echo includes_url( 'js/thickbox/loadingAnimation.gif', 'relative' ); ?>";
-//]]>
 </script>
 <?php
Index: /trunk/src/wp-admin/includes/template.php
===================================================================
--- /trunk/src/wp-admin/includes/template.php	(revision 31033)
+++ /trunk/src/wp-admin/includes/template.php	(revision 31034)
@@ -1550,5 +1550,4 @@
 ?>
 <script type="text/javascript">
-//<![CDATA[
 addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
 function tb_close(){var win=window.dialogArguments||opener||parent||top;win.tb_remove();}
@@ -1560,5 +1559,4 @@
 	decimalPoint = '<?php echo addslashes( $wp_locale->number_format['decimal_point'] ); ?>',
 	isRtl = <?php echo (int) is_rtl(); ?>;
-//]]>
 </script>
 <?php
@@ -1597,5 +1595,4 @@
 <body<?php if ( isset($GLOBALS['body_id']) ) echo ' id="' . $GLOBALS['body_id'] . '"'; ?> class="wp-admin wp-core-ui no-js iframe <?php echo $admin_body_classes . ' ' . $admin_body_class; ?>">
 <script type="text/javascript">
-//<![CDATA[
 (function(){
 var c = document.body.className;
@@ -1603,5 +1600,4 @@
 document.body.className = c;
 })();
-//]]>
 </script>
 <?php
@@ -1730,5 +1726,4 @@
 ?>
 	<script type="text/javascript">
-	/* <![CDATA[ */
 	var testCompression = {
 		get : function(test) {
@@ -1777,5 +1772,4 @@
 	};
 	testCompression.check();
-	/* ]]> */
 	</script>
 <?php
@@ -1976,5 +1970,4 @@
 		?>
 		<script type="text/javascript">
-		//<![CDATA[
 		(function($){
 			var options = <?php echo wp_json_encode( $args ); ?>, setup;
@@ -2002,5 +1995,4 @@
 
 		})( jQuery );
-		//]]>
 		</script>
 		<?php
Index: /trunk/src/wp-admin/network/site-users.php
===================================================================
--- /trunk/src/wp-admin/network/site-users.php	(revision 31033)
+++ /trunk/src/wp-admin/network/site-users.php	(revision 31034)
@@ -178,7 +178,5 @@
 
 <script type="text/javascript">
-/* <![CDATA[ */
 var current_site_id = <?php echo $id; ?>;
-/* ]]> */
 </script>
 
Index: /trunk/src/wp-admin/options-general.php
===================================================================
--- /trunk/src/wp-admin/options-general.php	(revision 31033)
+++ /trunk/src/wp-admin/options-general.php	(revision 31034)
@@ -29,5 +29,4 @@
 ?>
 <script type="text/javascript">
-//<![CDATA[
 	jQuery(document).ready(function($){
 		var $siteName = $( '#wp-admin-bar-site-name' ).children( 'a' ).first(),
@@ -78,5 +77,4 @@
 		});
 	});
-//]]>
 </script>
 <?php
Index: /trunk/src/wp-admin/options-permalink.php
===================================================================
--- /trunk/src/wp-admin/options-permalink.php	(revision 31033)
+++ /trunk/src/wp-admin/options-permalink.php	(revision 31034)
@@ -55,5 +55,4 @@
 	?>
 <script type="text/javascript">
-//<![CDATA[
 jQuery(document).ready(function() {
 	jQuery('.permalink-structure input:radio').change(function() {
@@ -66,5 +65,4 @@
 	});
 });
-//]]>
 </script>
 <?php
Index: /trunk/src/wp-admin/options-reading.php
===================================================================
--- /trunk/src/wp-admin/options-reading.php	(revision 31033)
+++ /trunk/src/wp-admin/options-reading.php	(revision 31034)
@@ -24,5 +24,4 @@
 ?>
 <script type="text/javascript">
-//<![CDATA[
 	jQuery(document).ready(function($){
 		var section = $('#front-static-pages'),
@@ -35,5 +34,4 @@
  		section.find('input:radio').change(check_disabled);
 	});
-//]]>
 </script>
 <?php
Index: /trunk/src/wp-admin/press-this.php
===================================================================
--- /trunk/src/wp-admin/press-this.php	(revision 31033)
+++ /trunk/src/wp-admin/press-this.php	(revision 31034)
@@ -110,5 +110,4 @@
 		case 'video': ?>
 			<script type="text/javascript">
-			/* <![CDATA[ */
 				jQuery('.select').click(function() {
 					append_editor(jQuery('#embed-code').val());
@@ -120,5 +119,4 @@
 					jQuery('#extra-fields').html('');
 				});
-			/* ]]> */
 			</script>
 			<div class="postbox">
@@ -133,5 +131,4 @@
 		case 'photo_thickbox': ?>
 			<script type="text/javascript">
-				/* <![CDATA[ */
 				jQuery('.cancel').click(function() {
 					tb_remove();
@@ -140,5 +137,4 @@
 					image_selector(this);
 				});
-				/* ]]> */
 			</script>
 			<h3 class="tb"><label for="tb_this_photo_description"><?php _e('Description') ?></label></h3>
@@ -300,9 +296,7 @@
 <title><?php _e('Press This') ?></title>
 <script type="text/javascript">
-//<![CDATA[
 addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
 var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>', pagenow = 'press-this', isRtl = <?php echo (int) is_rtl(); ?>;
 var photostorage = false;
-//]]>
 </script>
 
Index: /trunk/src/wp-admin/theme-editor.php
===================================================================
--- /trunk/src/wp-admin/theme-editor.php	(revision 31033)
+++ /trunk/src/wp-admin/theme-editor.php	(revision 31034)
@@ -230,10 +230,8 @@
 </div>
 <script type="text/javascript">
-/* <![CDATA[ */
 jQuery(document).ready(function($){
 	$('#template').submit(function(){ $('#scrollto').val( $('#newcontent').scrollTop() ); });
 	$('#newcontent').scrollTop( $('#scrollto').val() );
 });
-/* ]]> */
 </script>
 <?php
Index: /trunk/src/wp-includes/class-wp-embed.php
===================================================================
--- /trunk/src/wp-includes/class-wp-embed.php	(revision 31033)
+++ /trunk/src/wp-includes/class-wp-embed.php	(revision 31034)
@@ -78,9 +78,7 @@
 ?>
 <script type="text/javascript">
-/* <![CDATA[ */
 	jQuery(document).ready(function($){
 		$.get("<?php echo admin_url( 'admin-ajax.php?action=oembed-cache&post=' . $post->ID, 'relative' ); ?>");
 	});
-/* ]]> */
 </script>
 <?php