Index: /trunk/src/wp-includes/js/media/audio-video.js
===================================================================
--- /trunk/src/wp-includes/js/media/audio-video.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/audio-video.js	(revision 31490)
@@ -220,5 +220,5 @@
  * The controller for the Audio Details state
  *
- * @constructor
+ * @class
  * @augments wp.media.controller.State
  * @augments Backbone.Model
@@ -1119,5 +1119,5 @@
  * The controller for the Video Details state
  *
- * @constructor
+ * @class
  * @augments wp.media.controller.State
  * @augments Backbone.Model
@@ -1151,5 +1151,5 @@
  *   "Add Audio|Video Source" and "Replace Audio|Video" states return
  *
- * @constructor
+ * @class
  * @augments Backbone.Model
  */
@@ -3086,5 +3086,5 @@
  * wp.media.view.AudioDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaDetails
  * @augments wp.media.view.Settings.AttachmentDisplay
@@ -3434,5 +3434,5 @@
  * wp.media.view.MediaFrame.AudioDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame.MediaDetails
  * @augments wp.media.view.MediaFrame.Select
@@ -3511,5 +3511,5 @@
  * wp.media.view.MediaFrame.MediaDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame.Select
  * @augments wp.media.view.MediaFrame
@@ -3817,5 +3817,5 @@
  * wp.media.view.MediaFrame.VideoDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame.MediaDetails
  * @augments wp.media.view.MediaFrame.Select
@@ -4010,5 +4010,5 @@
  * wp.media.view.MediaDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Settings.AttachmentDisplay
  * @augments wp.media.view.Settings
@@ -5955,5 +5955,5 @@
  * wp.media.view.VideoDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaDetails
  * @augments wp.media.view.Settings.AttachmentDisplay
Index: /trunk/src/wp-includes/js/media/controllers/audio-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/audio-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/controllers/audio-details.js	(revision 31490)
@@ -2,5 +2,5 @@
  * The controller for the Audio Details state
  *
- * @constructor
+ * @class
  * @augments wp.media.controller.State
  * @augments Backbone.Model
Index: /trunk/src/wp-includes/js/media/controllers/edit-attachment-metadata.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/edit-attachment-metadata.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/controllers/edit-attachment-metadata.js	(revision 31490)
@@ -4,5 +4,5 @@
  * A state for editing an attachment's metadata.
  *
- * @constructor
+ * @class
  * @augments wp.media.controller.State
  * @augments Backbone.Model
Index: /trunk/src/wp-includes/js/media/controllers/video-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/controllers/video-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/controllers/video-details.js	(revision 31490)
@@ -2,5 +2,5 @@
  * The controller for the Video Details state
  *
- * @constructor
+ * @class
  * @augments wp.media.controller.State
  * @augments Backbone.Model
Index: /trunk/src/wp-includes/js/media/grid.js
===================================================================
--- /trunk/src/wp-includes/js/media/grid.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/grid.js	(revision 31490)
@@ -5,5 +5,5 @@
  * A state for editing an attachment's metadata.
  *
- * @constructor
+ * @class
  * @augments wp.media.controller.State
  * @augments Backbone.Model
@@ -941,5 +941,5 @@
  * A router for handling the browser history and application state.
  *
- * @constructor
+ * @class
  * @augments Backbone.Router
  */
@@ -1966,5 +1966,5 @@
  * for use in the Edit Attachment modal.
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Attachment.Details
  * @augments wp.media.view.Attachment
@@ -3015,5 +3015,5 @@
  * When MEDIA_TRASH is true, a button that handles bulk Delete Permanently logic
  *
- * @constructor
+ * @class
  * @augments wp.media.view.DeleteSelectedButton
  * @augments wp.media.view.Button
@@ -3060,5 +3060,5 @@
  * A button that handles bulk Delete/Trash logic
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Button
  * @augments wp.media.View
@@ -3419,5 +3419,5 @@
  * Requires an attachment model to be passed in the options hash under `model`.
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Frame
  * @augments wp.media.View
@@ -3665,5 +3665,5 @@
  * Used in the media grid view.
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame
  * @augments wp.media.view.Frame
Index: /trunk/src/wp-includes/js/media/models/post-media.js
===================================================================
--- /trunk/src/wp-includes/js/media/models/post-media.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/models/post-media.js	(revision 31490)
@@ -3,5 +3,5 @@
  *   "Add Audio|Video Source" and "Replace Audio|Video" states return
  *
- * @constructor
+ * @class
  * @augments Backbone.Model
  */
Index: /trunk/src/wp-includes/js/media/routers/manage.js
===================================================================
--- /trunk/src/wp-includes/js/media/routers/manage.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/routers/manage.js	(revision 31490)
@@ -2,5 +2,5 @@
  * A router for handling the browser history and application state.
  *
- * @constructor
+ * @class
  * @augments Backbone.Router
  */
Index: /trunk/src/wp-includes/js/media/views/attachment/details-two-column.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachment/details-two-column.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/attachment/details-two-column.js	(revision 31490)
@@ -5,5 +5,5 @@
  * for use in the Edit Attachment modal.
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Attachment.Details
  * @augments wp.media.view.Attachment
Index: /trunk/src/wp-includes/js/media/views/audio-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/audio-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/audio-details.js	(revision 31490)
@@ -2,5 +2,5 @@
  * wp.media.view.AudioDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaDetails
  * @augments wp.media.view.Settings.AttachmentDisplay
Index: /trunk/src/wp-includes/js/media/views/button/delete-selected-permanently.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/button/delete-selected-permanently.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/button/delete-selected-permanently.js	(revision 31490)
@@ -2,5 +2,5 @@
  * When MEDIA_TRASH is true, a button that handles bulk Delete Permanently logic
  *
- * @constructor
+ * @class
  * @augments wp.media.view.DeleteSelectedButton
  * @augments wp.media.view.Button
Index: /trunk/src/wp-includes/js/media/views/button/delete-selected.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/button/delete-selected.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/button/delete-selected.js	(revision 31490)
@@ -2,5 +2,5 @@
  * A button that handles bulk Delete/Trash logic
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Button
  * @augments wp.media.View
Index: /trunk/src/wp-includes/js/media/views/frame/audio-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/audio-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/frame/audio-details.js	(revision 31490)
@@ -2,5 +2,5 @@
  * wp.media.view.MediaFrame.AudioDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame.MediaDetails
  * @augments wp.media.view.MediaFrame.Select
Index: /trunk/src/wp-includes/js/media/views/frame/edit-attachments.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/edit-attachments.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/frame/edit-attachments.js	(revision 31490)
@@ -6,5 +6,5 @@
  * Requires an attachment model to be passed in the options hash under `model`.
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Frame
  * @augments wp.media.View
Index: /trunk/src/wp-includes/js/media/views/frame/manage.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/manage.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/frame/manage.js	(revision 31490)
@@ -6,5 +6,5 @@
  * Used in the media grid view.
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame
  * @augments wp.media.view.Frame
Index: /trunk/src/wp-includes/js/media/views/frame/media-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/media-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/frame/media-details.js	(revision 31490)
@@ -2,5 +2,5 @@
  * wp.media.view.MediaFrame.MediaDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame.Select
  * @augments wp.media.view.MediaFrame
Index: /trunk/src/wp-includes/js/media/views/frame/video-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/video-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/frame/video-details.js	(revision 31490)
@@ -2,5 +2,5 @@
  * wp.media.view.MediaFrame.VideoDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaFrame.MediaDetails
  * @augments wp.media.view.MediaFrame.Select
Index: /trunk/src/wp-includes/js/media/views/media-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/media-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/media-details.js	(revision 31490)
@@ -4,5 +4,5 @@
  * wp.media.view.MediaDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.Settings.AttachmentDisplay
  * @augments wp.media.view.Settings
Index: /trunk/src/wp-includes/js/media/views/video-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/video-details.js	(revision 31489)
+++ /trunk/src/wp-includes/js/media/views/video-details.js	(revision 31490)
@@ -2,5 +2,5 @@
  * wp.media.view.VideoDetails
  *
- * @constructor
+ * @class
  * @augments wp.media.view.MediaDetails
  * @augments wp.media.view.Settings.AttachmentDisplay