Index: /trunk/src/wp-includes/media.php
===================================================================
--- /trunk/src/wp-includes/media.php	(revision 31529)
+++ /trunk/src/wp-includes/media.php	(revision 31530)
@@ -60,8 +60,10 @@
 	}
 	elseif ( $size == 'large' ) {
-		// We're inserting a large size image into the editor. If it's a really
-		// big image we'll scale it down to fit reasonably within the editor
-		// itself, and within the theme's content width if it's known. The user
-		// can resize it in the editor if they wish.
+		/*
+		 * We're inserting a large size image into the editor. If it's a really
+		 * big image we'll scale it down to fit reasonably within the editor
+		 * itself, and within the theme's content width if it's known. The user
+		 * can resize it in the editor if they wish.
+		 */
 		$max_width = intval(get_option('large_size_w'));
 		$max_height = intval(get_option('large_size_h'));
@@ -110,9 +112,9 @@
  * @since 2.5.0
  *
- * @param int|string $width Optional. Width attribute value.
- * @param int|string $height Optional. Height attribute value.
+ * @param int|string $width  Image width in pixels.
+ * @param int|string $height Image height in pixels.
  * @return string HTML attributes for width and, or height.
  */
-function image_hwstring($width, $height) {
+function image_hwstring( $width, $height ) {
 	$out = '';
 	if ($width)
@@ -141,9 +143,10 @@
  * @since 2.5.0
  *
- * @param int $id Attachment ID for image.
- * @param array|string $size Optional, default is 'medium'. Size of image, either array or string.
+ * @param int          $id   Attachment ID for image.
+ * @param array|string $size Optional. Image size to scale to. Accepts a registered image size
+ *                           or flat array of height and width values. Default 'medium'.
  * @return bool|array False on failure, array on success.
  */
-function image_downsize($id, $size = 'medium') {
+function image_downsize( $id, $size = 'medium' ) {
 
 	if ( !wp_attachment_is_image($id) )
@@ -285,5 +288,5 @@
 
 /**
- * An <img src /> tag for an image attachment, scaling it down if requested.
+ * Gets an img tag for an image attachment, scaling it down if requested.
  *
  * The filter 'get_image_tag_class' allows for changing the class name for the
@@ -298,12 +301,13 @@
  * @since 2.5.0
  *
- * @param int $id Attachment ID.
- * @param string $alt Image Description for the alt attribute.
- * @param string $title Image Description for the title attribute.
- * @param string $align Part of the class name for aligning the image.
- * @param string $size Optional. Default is 'medium'.
+ * @param int          $id    Attachment ID.
+ * @param string       $alt   Image Description for the alt attribute.
+ * @param string       $title Image Description for the title attribute.
+ * @param string       $align Part of the class name for aligning the image.
+ * @param string|array $size  Optional. Registered image size to retrieve a tag for, or flat array
+ *                            of height and width values. Default 'medium'.
  * @return string HTML IMG element for given image attachment
  */
-function get_image_tag($id, $alt, $title, $align, $size='medium') {
+function get_image_tag( $id, $alt, $title, $align, $size = 'medium' ) {
 
 	list( $img_src, $width, $height ) = image_downsize($id, $size);
@@ -346,5 +350,5 @@
 
 /**
- * Calculates the new dimensions for a downsampled image.
+ * Calculates the new dimensions for a down-sampled image.
  *
  * If either width or height are empty, no constraint is applied on
@@ -353,11 +357,11 @@
  * @since 2.5.0
  *
- * @param int $current_width Current width of the image.
+ * @param int $current_width  Current width of the image.
  * @param int $current_height Current height of the image.
- * @param int $max_width Optional. Maximum wanted width.
- * @param int $max_height Optional. Maximum wanted height.
+ * @param int $max_width      Optional. Max width in pixels to constrain to. Default 0.
+ * @param int $max_height     Optional. Max height in pixels to constrain to. Default 0.
  * @return array First item is the width, the second item is the height.
  */
-function wp_constrain_dimensions( $current_width, $current_height, $max_width=0, $max_height=0 ) {
+function wp_constrain_dimensions( $current_width, $current_height, $max_width = 0, $max_height = 0 ) {
 	if ( !$max_width && !$max_height )
 		return array( $current_width, $current_height );
@@ -406,9 +410,20 @@
 	}
 
+	/**
+	 * Filter dimensions to constrain down-sampled images to.
+	 *
+	 * @since 4.1.0
+	 *
+	 * @param array $dimensions     The image width and height.
+	 * @param int 	$current_width  The current width of the image.
+	 * @param int 	$current_height The current height of the image.
+	 * @param int 	$max_width      The maximum width permitted.
+	 * @param int 	$max_height     The maximum height permitted.
+	 */
 	return apply_filters( 'wp_constrain_dimensions', array( $w, $h ), $current_width, $current_height, $max_width, $max_height );
 }
 
 /**
- * Retrieve calculated resize dimensions for use in WP_Image_Editor.
+ * Retrieves calculated resize dimensions for use in WP_Image_Editor.
  *
  * Calculates dimensions and coordinates for a resized image that fits
@@ -524,5 +539,5 @@
 
 /**
- * Resize an image to make a thumbnail or intermediate size.
+ * Resizes an image to make a thumbnail or intermediate size.
  *
  * The returned array has the file size, the image width, and image height. The
@@ -532,8 +547,9 @@
  * @since 2.5.0
  *
- * @param string $file File path.
- * @param int $width Image width.
- * @param int $height Image height.
- * @param bool $crop Optional, default is false. Whether to crop image to specified height and width or resize.
+ * @param string $file   File path.
+ * @param int    $width  Image width.
+ * @param int    $height Image height.
+ * @param bool   $crop   Optional. Whether to crop image to specified height and width or resize.
+ *                       Default false.
  * @return bool|array False, if no image was created. Metadata array on success.
  */
@@ -556,5 +572,5 @@
 
 /**
- * Retrieve the image's intermediate size (resized) path, width, and height.
+ * Retrieves the image's intermediate size (resized) path, width, and height.
  *
  * The $size parameter can be an array with the width and height respectively.
@@ -575,11 +591,11 @@
  *
  * @since 2.5.0
- * @see add_image_size()
- *
- * @param int $post_id Attachment ID for image.
- * @param array|string $size Optional, default is 'thumbnail'. Size of image, either array or string.
+ *
+ * @param int          $post_id Attachment ID.
+ * @param array|string $size    Optional. Registered image size to retrieve or flat array of height
+ *                              and width dimensions. Default 'thumbnail'.
  * @return bool|array False on failure or array of file path, width, and height on success.
  */
-function image_get_intermediate_size($post_id, $size='thumbnail') {
+function image_get_intermediate_size( $post_id, $size = 'thumbnail' ) {
 	if ( !is_array( $imagedata = wp_get_attachment_metadata( $post_id ) ) )
 		return false;
@@ -634,7 +650,11 @@
 
 /**
- * Get the available image sizes
+ * Gets the available intermediate image sizes.
+ *
  * @since 3.0.0
- * @return array Returns a filtered array of image size strings
+ *
+ * @global array $_wp_additional_image_sizes
+ *
+ * @return array Returns a filtered array of image size strings.
  */
 function get_intermediate_image_sizes() {
@@ -662,10 +682,11 @@
  * @since 2.5.0
  *
- * @param int $attachment_id Image attachment ID.
- * @param string $size Optional, default is 'thumbnail'.
- * @param bool $icon Optional, default is false. Whether it is an icon.
+ * @param int          $attachment_id Image attachment ID.
+ * @param string|array $size          Optional. Registered image size to retrieve the source for or a flat
+ *                                    array of height and width dimensions. Default 'thumbnail'.
+ * @param bool         $icon          Optional. Whether the image should be treated as an icon. Default false.
  * @return bool|array Returns an array (url, width, height), or false, if no image is available.
  */
-function wp_get_attachment_image_src($attachment_id, $size='thumbnail', $icon = false) {
+function wp_get_attachment_image_src( $attachment_id, $size = 'thumbnail', $icon = false ) {
 
 	// get a thumbnail or intermediate image if there is one
@@ -678,4 +699,5 @@
 		/** This filter is documented in wp-includes/post.php */
 		$icon_dir = apply_filters( 'icon_dir', ABSPATH . WPINC . '/images/media' );
+
 		$src_file = $icon_dir . '/' . wp_basename($src);
 		@list($width, $height) = getimagesize($src_file);
@@ -689,5 +711,5 @@
  * Get an HTML img element representing an image attachment
  *
- * While $size will accept an array, it is better to register a size with
+ * While `$size` will accept an array, it is better to register a size with
  * add_image_size() so that a cropped version is generated. It's much more
  * efficient than having to find the closest-sized image and then having the
@@ -696,10 +718,9 @@
  * @since 2.5.0
  *
- * @see add_image_size()
- *
  * @param int          $attachment_id Image attachment ID.
- * @param string|array $size          Optional. Default 'thumbnail'.
- * @param bool         $icon          Optional. Whether it is an icon. Default false.
- * @param string|array $attr          Optional. Attributes for the image markup. Default empty string.
+ * @param string|array $size          Optional. Registered image size or flat array of height and width
+ *                                    dimensions. Default 'thumbnail'.
+ * @param bool         $icon          Optional. Whether the image should be treated as an icon. Default false.
+ * @param string|array $attr          Optional. Attributes for the image markup. Default empty.
  * @return string HTML img element or empty string on failure.
  */
@@ -750,11 +771,14 @@
 
 /**
- * Adds a 'wp-post-image' class to post thumbnails
- * Uses the begin_fetch_post_thumbnail_html and end_fetch_post_thumbnail_html action hooks to
- * dynamically add/remove itself so as to only filter post thumbnails
- *
+ * Adds a 'wp-post-image' class to post thumbnails. Internal use only.
+ *
+ * Uses the 'begin_fetch_post_thumbnail_html' and 'end_fetch_post_thumbnail_html' action hooks to
+ * dynamically add/remove itself so as to only filter post thumbnails.
+ *
+ * @ignore
  * @since 2.9.0
- * @param array $attr Attributes including src, class, alt, title
- * @return array
+ *
+ * @param array $attr Thumbnail attributes including src, class, alt, title.
+ * @return array Modified array of attributes including the new 'wp-post-image' class.
  */
 function _wp_post_thumbnail_class_filter( $attr ) {
@@ -764,7 +788,11 @@
 
 /**
- * Adds _wp_post_thumbnail_class_filter to the wp_get_attachment_image_attributes filter
- *
+ * Adds '_wp_post_thumbnail_class_filter' callback to the 'wp_get_attachment_image_attributes'
+ * filter hook. Internal use only.
+ *
+ * @ignore
  * @since 2.9.0
+ *
+ * @param array $attr Thumbnail attributes including src, class, alt, title.
  */
 function _wp_post_thumbnail_class_filter_add( $attr ) {
@@ -773,7 +801,11 @@
 
 /**
- * Removes _wp_post_thumbnail_class_filter from the wp_get_attachment_image_attributes filter
- *
+ * Removes the '_wp_post_thumbnail_class_filter' callback from the 'wp_get_attachment_image_attributes'
+ * filter hook. Internal use only.
+ *
+ * @ignore
  * @since 2.9.0
+ *
+ * @param array $attr Thumbnail attributes including src, class, alt, title.
  */
 function _wp_post_thumbnail_class_filter_remove( $attr ) {
@@ -785,5 +817,5 @@
 
 /**
- * The Caption shortcode.
+ * Builds the Caption shortcode output.
  *
  * Allows a plugin to replace the content that would otherwise be returned. The
@@ -796,5 +828,5 @@
  * @since 2.6.0
  *
- * @param array $attr {
+ * @param array  $attr {
  *     Attributes of the caption shortcode.
  *
@@ -806,5 +838,5 @@
  *     @type string $class   Additional class name(s) added to the caption container.
  * }
- * @param string $content Optional. Shortcode content.
+ * @param string $content Shortcode content.
  * @return string HTML content to display the caption.
  */
@@ -888,5 +920,5 @@
 
 /**
- * The Gallery shortcode.
+ * Builds the Gallery shortcode output.
  *
  * This implements the functionality of the Gallery Shortcode for displaying
@@ -1106,5 +1138,5 @@
 
 /**
- * Output the templates used by playlists.
+ * Outputs the templates used by playlists.
  *
  * @since 3.9.0
@@ -1144,5 +1176,5 @@
 
 /**
- * Output and enqueue default scripts and styles for playlists.
+ * Outputs and enqueue default scripts and styles for playlists.
  *
  * @since 3.9.0
@@ -1161,5 +1193,5 @@
 
 /**
- * The playlist shortcode.
+ * Builds the Playlist shortcode output.
  *
  * This implements the functionality of the playlist shortcode for displaying
@@ -1407,10 +1439,10 @@
 
 /**
- * Provide a No-JS Flash fallback as a last resort for audio / video
+ * Provides a No-JS Flash fallback as a last resort for audio / video.
  *
  * @since 3.6.0
  *
- * @param string $url
- * @return string Fallback HTML
+ * @param string $url The media element URL.
+ * @return string Fallback HTML.
  */
 function wp_mediaelement_fallback( $url ) {
@@ -1427,8 +1459,9 @@
 
 /**
- * Return a filtered list of WP-supported audio formats.
+ * Returns a filtered list of WP-supported audio formats.
  *
  * @since 3.6.0
- * @return array
+ *
+ * @return array Supported audio formats.
  */
 function wp_get_audio_extensions() {
@@ -1445,10 +1478,10 @@
 
 /**
- * Return useful keys to use to lookup data from an attachment's stored metadata.
+ * Returns useful keys to use to lookup data from an attachment's stored metadata.
  *
  * @since 3.9.0
  *
  * @param WP_Post $attachment The current attachment, provided for context.
- * @param string  $context    The context. Accepts 'edit', 'display'. Default 'display'.
+ * @param string  $context    Optional. The context. Accepts 'edit', 'display'. Default 'display'.
  * @return array Key/value pairs of field keys to labels.
  */
@@ -1480,5 +1513,5 @@
 }
 /**
- * The Audio shortcode.
+ * Builds the Audio shortcode output.
  *
  * This implements the functionality of the Audio Shortcode for displaying
@@ -1487,5 +1520,5 @@
  * @since 3.6.0
  *
- * @param array $attr {
+ * @param array  $attr {
  *     Attributes of the audio shortcode.
  *
@@ -1498,5 +1531,5 @@
  *     @type string $style    The 'style' attribute for the `<audio>` element. Default 'width: 100%'.
  * }
- * @param string $content Optional. Shortcode content.
+ * @param string $content Shortcode content.
  * @return string HTML content to display audio.
  */
@@ -1654,8 +1687,9 @@
 
 /**
- * Return a filtered list of WP-supported video formats
+ * Returns a filtered list of WP-supported video formats.
  *
  * @since 3.6.0
- * @return array
+ *
+ * @return array List of supported video formats.
  */
 function wp_get_video_extensions() {
@@ -1672,5 +1706,5 @@
 
 /**
- * The Video shortcode.
+ * Builds the Video shortcode output.
  *
  * This implements the functionality of the Video Shortcode for displaying
@@ -1679,5 +1713,5 @@
  * @since 3.6.0
  *
- * @param array $attr {
+ * @param array  $attr {
  *     Attributes of the shortcode.
  *
@@ -1695,5 +1729,5 @@
  *                            Default 'video-{$post_id}-{$instance}'.
  * }
- * @param string $content Optional. Shortcode content.
+ * @param string $content Shortcode content.
  * @return string HTML content to display video.
  */
@@ -1907,22 +1941,30 @@
 
 /**
- * Display previous image link that has the same post parent.
+ * Displays previous image link that has the same post parent.
  *
  * @since 2.5.0
- * @param string $size Optional, default is 'thumbnail'. Size of image, either array or string. 0 or 'none' will default to post_title or $text;
- * @param string $text Optional, default is false. If included, link will reflect $text variable.
- * @return string HTML content.
- */
-function previous_image_link($size = 'thumbnail', $text = false) {
+ *
+ * @see adjacent_image_link()
+ *
+ * @param string|array $size Optional. Registered image size or flat array of height and width dimensions.
+ *                           0 or 'none' will default to 'post_title' or `$text`. Default 'thumbnail'.
+ * @param string       $text Optional. Link text. Default false.
+ * @return string HTML output for the previous image link.
+ */
+function previous_image_link( $size = 'thumbnail', $text = false ) {
 	adjacent_image_link(true, $size, $text);
 }
 
 /**
- * Display next image link that has the same post parent.
+ * Displays next image link that has the same post parent.
  *
  * @since 2.5.0
- * @param string $size Optional, default is 'thumbnail'. Size of image, either array or string. 0 or 'none' will default to post_title or $text;
- * @param string $text Optional, default is false. If included, link will reflect $text variable.
- * @return string HTML content.
+ *
+ * @see adjacent_image_link()
+ *
+ * @param string|array $size Optional. Registered image size or flat array of height and width dimensions.
+ *                           0 or 'none' will default to 'post_title' or `$text`. Default 'thumbnail'.
+ * @param string       $text Optional. Link text. Default false.
+ * @return string HTML output for the next image link.
  */
 function next_image_link($size = 'thumbnail', $text = false) {
@@ -1931,5 +1973,5 @@
 
 /**
- * Display next or previous image link that has the same post parent.
+ * Displays next or previous image link that has the same post parent.
  *
  * Retrieves the current attachment object from the $post global.
@@ -1937,7 +1979,11 @@
  * @since 2.5.0
  *
- * @param bool $prev Optional. Default is true to display previous link, false for next.
- */
-function adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
+ * @param bool         $prev Optional. Whether to display the next (false) or previous (true) link. Default true.
+ * @param string|array $size Optional. Registered image size or flat array of height and width dimensions.
+ *                                     Default 'thumbnail'.
+ * @param bool         $text Optional. Link text. Default false.
+ * @return string The adjacent image link.
+ */
+function adjacent_image_link( $prev = true, $size = 'thumbnail', $text = false ) {
 	$post = get_post();
 	$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
@@ -1980,12 +2026,12 @@
 
 /**
- * Retrieve taxonomies attached to the attachment.
+ * Retrieves taxonomies attached to given the attachment.
  *
  * @since 2.5.0
  *
- * @param int|array|object $attachment Attachment ID, Attachment data array, or Attachment data object.
+ * @param int|array|object $attachment Attachment ID, data array, or data object.
  * @return array Empty array on failure. List of taxonomies on success.
  */
-function get_attachment_taxonomies($attachment) {
+function get_attachment_taxonomies( $attachment ) {
 	if ( is_int( $attachment ) ) {
 		$attachment = get_post( $attachment );
@@ -2019,12 +2065,14 @@
 
 /**
- * Return all of the taxonomy names that are registered for attachments.
+ * Retrieves all of the taxonomy names that are registered for attachments.
  *
  * Handles mime-type-specific taxonomies such as attachment:image and attachment:video.
  *
  * @since 3.5.0
- * @see get_attachment_taxonomies()
- *
- * @param string $output The type of output to return, either taxonomy 'names' or 'objects'. 'names' is the default.
+ *
+ * @see get_taxonomies()
+ *
+ * @param string $output Optional. The type of taxonomy output to return. Accepts 'names' or 'objects'.
+ *                       Default 'names'.
  * @return array The names of all taxonomy of $object_type.
  */
@@ -2048,11 +2096,12 @@
 /**
  * Create new GD image resource with transparency support
- * @TODO: Deprecate if possible.
+ *
+ * @todo: Deprecate if possible.
  *
  * @since 2.9.0
  *
- * @param int $width Image width
- * @param int $height Image height
- * @return resource resource
+ * @param int $width  Image width in pixels.
+ * @param int $height Image height in pixels..
+ * @return resource The GD image resource.
  */
 function wp_imagecreatetruecolor($width, $height) {
@@ -2066,14 +2115,17 @@
 
 /**
- * Register an embed handler. This function should probably only be used for sites that do not support oEmbed.
+ * Registers an embed handler.
+ *
+ * Should probably only be used for sites that do not support oEmbed.
  *
  * @since 2.9.0
+ *
  * @see WP_Embed::register_handler()
  *
- * @global WP_Embed $wp_embed
- * @param string   $id
- * @param string   $regex
- * @param callable $callback
- * @param int      $priority
+ * @param string   $id       An internal ID/name for the handler. Needs to be unique.
+ * @param string   $regex    The regex that will be used to see if this handler should be used for a URL.
+ * @param callback $callback The callback function that will be called if the regex is matched.
+ * @param int      $priority Optional. Used to specify the order in which the registered handlers will
+ *                           be tested. Default 10.
  */
 function wp_embed_register_handler( $id, $regex, $callback, $priority = 10 ) {
@@ -2083,12 +2135,12 @@
 
 /**
- * Unregister a previously registered embed handler.
+ * Unregisters a previously-registered embed handler.
  *
  * @since 2.9.0
+ *
  * @see WP_Embed::unregister_handler()
  *
- * @global WP_Embed $wp_embed
- * @param string $id
- * @param int    $priority
+ * @param string $id       The handler ID that should be removed.
+ * @param int    $priority Optional. The priority of the handler to be removed. Default 10.
  */
 function wp_embed_unregister_handler( $id, $priority = 10 ) {
@@ -2139,8 +2191,10 @@
  * @since 2.9.0
  *
- * @param int $example_width The width of an example embed.
+ * @see wp_constrain_dimensions()
+ *
+ * @param int $example_width  The width of an example embed.
  * @param int $example_height The height of an example embed.
- * @param int $max_width The maximum allowed width.
- * @param int $max_height The maximum allowed height.
+ * @param int $max_width      The maximum allowed width.
+ * @param int $max_height     The maximum allowed height.
  * @return array The maximum possible width and height based on the example ratio.
  */
@@ -2158,8 +2212,10 @@
  *
  * @since 2.9.0
+ *
  * @see WP_oEmbed
  *
- * @param string $url The URL that should be embedded.
- * @param array $args Additional arguments and parameters.
+ * @param string $url  The URL that should be embedded.
+ * @param array  $args Optional. Additional arguments and parameters for retrieving embed HTML.
+ *                     Default empty.
  * @return false|string False on failure or the embed HTML on success.
  */
@@ -2174,9 +2230,11 @@
  *
  * @since 2.9.0
+ *
  * @see WP_oEmbed
  *
- * @param string $format The format of URL that this provider can handle. You can use asterisks as wildcards.
- * @param string $provider The URL to the oEmbed provider.
- * @param boolean $regex Whether the $format parameter is in a regex format.
+ * @param string  $format   The format of URL that this provider can handle. You can use asterisks
+ *                          as wildcards.
+ * @param string  $provider The URL to the oEmbed provider.
+ * @param boolean $regex    Optional. Whether the `$format` parameter is in a RegEx format. Default false.
  */
 function wp_oembed_add_provider( $format, $provider, $regex = false ) {
@@ -2195,7 +2253,9 @@
  *
  * @since 3.5.0
+ *
  * @see WP_oEmbed
  *
  * @param string $format The URL format for the oEmbed provider to remove.
+ * @return bool Was the provider removed successfully?
  */
 function wp_oembed_remove_provider( $format ) {
@@ -2223,4 +2283,6 @@
  *
  * @since 2.9.0
+ *
+ * @see wp_embed_register_handler()
  */
 function wp_maybe_load_embeds() {
@@ -2262,13 +2324,15 @@
 
 /**
- * The Google Video embed handler callback. Google Video does not support oEmbed.
+ * The Google Video embed handler callback.
+ *
+ * Google Video does not support oEmbed.
  *
  * @see WP_Embed::register_handler()
  * @see WP_Embed::shortcode()
  *
- * @param array $matches The regex matches from the provided regex when calling {@link wp_embed_register_handler()}.
- * @param array $attr Embed attributes.
- * @param string $url The original URL that was matched by the regex.
- * @param array $rawattr The original unmodified attributes.
+ * @param array  $matches The RegEx matches from the provided regex when calling wp_embed_register_handler().
+ * @param array  $attr    Embed attributes.
+ * @param string $url     The original URL that was matched by the regex.
+ * @param array  $rawattr The original unmodified attributes.
  * @return string The embed HTML.
  */
@@ -2288,5 +2352,5 @@
 	 *
 	 * @param string $html    Google Video HTML embed markup.
-	 * @param array  $matches The regex matches from the provided regex.
+	 * @param array  $matches The RegEx matches from the provided regex.
 	 * @param array  $attr    An array of embed attributes.
 	 * @param string $url     The original URL that was matched by the regex.
@@ -2303,6 +2367,6 @@
  * @since 4.0.0
  *
- * @param array  $matches The regex matches from the provided regex when calling
- *                        {@see wp_embed_register_handler()}.
+ * @param array  $matches The RegEx matches from the provided regex when calling
+ *                        wp_embed_register_handler().
  * @param array  $attr    Embed attributes.
  * @param string $url     The original URL that was matched by the regex.
@@ -2313,4 +2377,5 @@
 	global $wp_embed;
 	$embed = $wp_embed->autoembed( "https://youtube.com/watch?v={$matches[2]}" );
+
 	/**
 	 * Filter the YoutTube embed output.
@@ -2333,5 +2398,5 @@
  * @since 3.6.0
  *
- * @param array $matches The regex matches from the provided regex when calling {@link wp_embed_register_handler()}.
+ * @param array $matches The RegEx matches from the provided regex when calling wp_embed_register_handler().
  * @param array $attr Embed attributes.
  * @param string $url The original URL that was matched by the regex.
@@ -2360,8 +2425,8 @@
  * @since 3.6.0
  *
- * @param array $matches The regex matches from the provided regex when calling {@link wp_embed_register_handler()}.
- * @param array $attr Embed attributes.
- * @param string $url The original URL that was matched by the regex.
- * @param array $rawattr The original unmodified attributes.
+ * @param array  $matches The RegEx matches from the provided regex when calling wp_embed_register_handler().
+ * @param array  $attr    Embed attributes.
+ * @param string $url     The original URL that was matched by the regex.
+ * @param array  $rawattr The original unmodified attributes.
  * @return string The embed HTML.
  */
@@ -2408,5 +2473,5 @@
 
 /**
- * Determine the maximum upload size allowed in php.ini.
+ * Determines the maximum upload size allowed in php.ini.
  *
  * @since 2.5.0
@@ -2434,9 +2499,10 @@
  *
  * @since 3.5.0
- * @access public
- *
- * @param string $path Path to file to load
- * @param array $args Additional data. Accepts { 'mime_type'=>string, 'methods'=>{string, string, ...} }
- * @return WP_Image_Editor|WP_Error
+ *
+ * @param string $path Path to the file to load.
+ * @param array  $args Optional. Additional arguments for retrieving the image editor.
+ *                     Default empty array.
+ * @return WP_Image_Editor|WP_Error The WP_Image_Editor object if successful, an WP_Error
+ *                                  object otherwise.
  */
 function wp_get_image_editor( $path, $args = array() ) {
@@ -2471,8 +2537,8 @@
  *
  * @since 3.5.0
- * @access public
- *
- * @param string|array $args Array of requirements. Accepts { 'mime_type'=>string, 'methods'=>{string, string, ...} }
- * @return boolean true if an eligible editor is found; false otherwise
+ *
+ * @param string|array $args Optional. Array of arguments to retrieve the image editor supports.
+ *                           Default empty array.
+ * @return bool True if an eligible editor is found; false otherwise.
  */
 function wp_image_editor_supports( $args = array() ) {
@@ -2483,9 +2549,10 @@
  * Tests which editors are capable of supporting the request.
  *
+ * @ignore
  * @since 3.5.0
- * @access private
- *
- * @param array $args Additional data. Accepts { 'mime_type'=>string, 'methods'=>{string, string, ...} }
- * @return string|bool Class name for the first editor that claims to support the request. False if no editor claims to support the request.
+ *
+ * @param array $args Optional. Array of arguments for choosing a capable editor. Default empty array.
+ * @return string|bool Class name for the first editor that claims to support the request. False if no
+ *                     editor claims to support the request.
  */
 function _wp_image_editor_choose( $args = array() ) {
@@ -2799,4 +2866,11 @@
  *
  * @since 3.5.0
+ *
+ * @param array $args {
+ *     Arguments for enqueuing media scripts.
+ *
+ *     @type int|WP_Post A post object or ID.
+ * }
+ * @return array List of media view settings.
  */
 function wp_enqueue_media( $args = array() ) {
@@ -3090,5 +3164,5 @@
 
 /**
- * Retrieve media attached to the passed post.
+ * Retrieves media attached to the passed post.
  *
  * @since 3.6.0
@@ -3142,6 +3216,6 @@
  *
  * @param string $content A string which might contain media data.
- * @param array $types array of media types: 'audio', 'video', 'object', 'embed', or 'iframe'
- * @return array A list of found HTML media embeds
+ * @param array  $types   An array of media types: 'audio', 'video', 'object', 'embed', or 'iframe'.
+ * @return array A list of found HTML media embeds.
  */
 function get_media_embedded_in_content( $content, $types = null ) {
@@ -3164,12 +3238,12 @@
 
 /**
- * Retrieve galleries from the passed post's content.
+ * Retrieves galleries from the passed post's content.
  *
  * @since 3.6.0
  *
- * @param int|WP_Post $post Optional. Post ID or object.
- * @param bool        $html Whether to return HTML or data in the array.
+ * @param int|WP_Post $post Post ID or object.
+ * @param bool        $html Optional. Whether to return HTML or data in the array. Default true.
  * @return array A list of arrays, each containing gallery data and srcs parsed
- *		         from the expanded shortcode.
+ *               from the expanded shortcode.
  */
 function get_post_galleries( $post, $html = true ) {
@@ -3221,5 +3295,5 @@
  *
  * @param int|WP_Post $post Optional. Post ID or WP_Post object. Default is global $post.
- * @param bool        $html Whether to return HTML or data.
+ * @param bool        $html Optional. Whether to return HTML or data. Default is true.
  * @return string|array Gallery data and srcs parsed from the expanded shortcode.
  */
@@ -3245,7 +3319,9 @@
  * @since 3.6.0
  *
- * @param int|WP_Post $post Optional. Post ID or WP_Post object. Default is global $post.
+ * @see get_post_galleries()
+ *
+ * @param int|WP_Post $post Optional. Post ID or WP_Post object. Default is global `$post`.
  * @return array A list of lists, each containing image srcs parsed.
- *		from an expanded shortcode
+ *               from an expanded shortcode
  */
 function get_post_galleries_images( $post = 0 ) {
@@ -3255,9 +3331,11 @@
 
 /**
- * Check a post's content for galleries and return the image srcs for the first found gallery
+ * Checks a post's content for galleries and return the image srcs for the first found gallery
  *
  * @since 3.6.0
  *
- * @param int|WP_Post $post Optional. Post ID or WP_Post object. Default is global $post.
+ * @see get_post_gallery()
+ *
+ * @param int|WP_Post $post Optional. Post ID or WP_Post object. Default is global `$post`.
  * @return array A list of a gallery's image srcs in order.
  */
@@ -3268,5 +3346,5 @@
 
 /**
- * Maybe attempt to generate attachment metadata, if missing.
+ * Maybe attempts to generate attachment metadata, if missing.
  *
  * @since 3.9.0
@@ -3293,5 +3371,5 @@
 
 /**
- * Try to convert an attachment URL into a post ID.
+ * Tries to convert an attachment URL into a post ID.
  *
  * @since 4.0.0
@@ -3322,5 +3400,5 @@
 
 /**
- * Return the URLs for CSS files used in an iframe-sandbox'd TinyMCE media view.
+ * Returns the URLs for CSS files used in an iframe-sandbox'd TinyMCE media view.
  *
  * @since 4.0.0